package com.ruoyi.syzy.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.syzy.domain.BBusiWishLocationSubmits;

/**
 * 地区批次录取分数线Mapper接口
 *
 * @author mingxue
 * @date 2021-08-19
 */
public interface BBusiWishLocationSubmitsMapper {

    /**
     * 地域
     *
     * @return
     */
    public List<String> locations();

    /**
     * 录取年份
     *
     * @param location
     * @return
     */
    public List<String> years(@Param("location") String location);
    public List<String> yearsNoStatus(@Param("location") String location);

    /**
     * 查询地区批次录取分数线
     *
     * @param id 地区批次录取分数线ID
     * @return 地区批次录取分数线
     */
    public BBusiWishLocationSubmits selectBBusiWishLocationSubmitsById(Long id);

    /**
     * 查询地区批次录取分数线列表
     *
     * @param bBusiWishLocationSubmits 地区批次录取分数线
     * @return 地区批次录取分数线集合
     */
    public List<BBusiWishLocationSubmits> selectBBusiWishLocationSubmitsList(BBusiWishLocationSubmits bBusiWishLocationSubmits);

    /**
     * 新增地区批次录取分数线
     *
     * @param bBusiWishLocationSubmits 地区批次录取分数线
     * @return 结果
     */
    public int insertBBusiWishLocationSubmits(BBusiWishLocationSubmits bBusiWishLocationSubmits);

    /**
     * 修改地区批次录取分数线
     *
     * @param bBusiWishLocationSubmits 地区批次录取分数线
     * @return 结果
     */
    public int updateBBusiWishLocationSubmits(BBusiWishLocationSubmits bBusiWishLocationSubmits);

    /**
     * 删除地区批次录取分数线
     *
     * @param id 地区批次录取分数线ID
     * @return 结果
     */
    public int deleteBBusiWishLocationSubmitsById(Long id);

    /**
     * 批量删除地区批次录取分数线
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishLocationSubmitsByIds(Long[] ids);

    /**
     * 根据省份获取填报批次
     *
     * @param location
     * @return
     */
    public List<BBusiWishLocationSubmits> batches(@Param("location") String location, @Param("mode") String mode);
    public List<BBusiWishLocationSubmits> batchesNoStatus(@Param("location") String location, @Param("mode") String mode);
    public List<BBusiWishLocationSubmits> examMajors(@Param("location") String location);

}
